device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,19).
job_len(13,11).
job_len(12,15).
job_len(11,4).
job_len(10,8).
job_len(9,4).
job_len(8,12).
job_len(7,19).
job_len(6,20).
job_len(5,14).
job_len(4,18).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,1).
importance(29,1).
importance(28,3).
importance(27,1).
importance(26,1).
importance(25,3).
importance(24,3).
importance(23,2).
importance(22,1).
importance(21,3).
importance(20,3).
importance(19,2).
importance(18,3).
importance(17,3).
importance(16,2).
importance(15,1).
importance(14,3).
importance(13,2).
importance(12,1).
importance(11,2).
importance(10,1).
importance(9,3).
importance(8,2).
importance(7,2).
importance(6,1).
importance(5,3).
importance(4,3).
importance(3,3).
importance(2,1).
importance(1,1).
job_device(1,1).
job_device(4,2).
job_device(7,2).
job_device(10,1).
job_device(13,1).
job_device(16,1).
job_device(19,1).
job_device(22,1).
job_device(25,1).
job_device(28,1).
job_device(2,4).
job_device(5,3).
job_device(8,3).
job_device(11,3).
job_device(14,3).
job_device(17,3).
job_device(20,4).
job_device(23,3).
job_device(26,4).
job_device(29,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,10).
job_len(29,5).
job_len(28,14).
job_len(27,20).
job_len(26,8).
job_len(25,11).
job_len(24,15).
job_len(23,16).
job_len(22,13).
job_len(21,20).
job_len(20,7).
job_len(19,18).
job_len(18,9).
job_len(17,3).
job_len(16,5).
job_len(15,16).
job_len(3,16).
job_len(2,11).
job_len(1,3).
deadline(3,28).
deadline(6,23).
deadline(9,39).
deadline(12,36).
deadline(15,15).
deadline(18,21).
deadline(21,25).
deadline(24,21).
deadline(27,29).
deadline(30,14).
max_total_penalty(1182).
curr_job_start(30,70).
curr_job_start(21,80).
curr_job_start(18,30).
curr_job_start(15,54).
curr_job_start(12,39).
curr_job_start(6,100).
curr_job_start(3,14).
curr_job_start(20,34).
curr_job_start(2,3).
curr_job_start(29,17).
curr_job_start(17,22).
curr_job_start(14,11).
curr_job_start(11,30).
curr_job_start(5,25).
curr_job_start(4,0).
curr_job_start(28,3).
curr_job_start(19,16).
curr_job_start(16,11).
curr_job_start(13,0).
curr_job_start(10,17).
curr_job_start(1,0).
curr_on_instance(30,1).
curr_on_instance(29,1).
curr_on_instance(28,1).
curr_on_instance(21,1).
curr_on_instance(20,1).
curr_on_instance(19,2).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,2).
curr_on_instance(15,1).
curr_on_instance(14,2).
curr_on_instance(13,2).
curr_on_instance(12,1).
curr_on_instance(11,2).
curr_on_instance(10,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_on_instance(3,1).
curr_on_instance(2,1).
curr_on_instance(1,1).
curr_time(73).
max_value(1320).

